<?php
function get_bruto_kod_vise_poslodavaca($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                        $kodRadnika, $kodPoslodavca='') {
    global $db;
    $query = " 
        SELECT b.*, r.imeIprezime, p.nazivPartnera
        FROM bruto_kod_vise_poslodavaca as b
        JOIN maticna_radnika as r ON r.kodRadnika=b.kodRadnika
        JOIN partner as p ON p.kodPartnera=b.kodPoslodavca
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
             AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve')
             AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve')
             AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
             AND (b.kodRadnika=:kodRadnika OR :kodRadnika='')
             AND (b.kodPoslodavca=:kodPoslodavca OR :kodPoslodavca='')
    ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', trim($verzijaPlace));
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);    
        $statement->bindValue(':kodPoslodavca', $kodPoslodavca);    
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

/*
function get_jedna_opcina($kodOpcine) {
    global $db;
    $query = " 
    SELECT distinct kodOpcine, nazivOpcine
    FROM opcine 
    WHERE kodOpcine=:kodOpcine  
    ";

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodOpcine', $kodOpcine);       
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

// Za sada ne treba
function add_bruto_kod_vise_poslodavaca($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = " 
        INSERT INTO bruto_kod_vise_poslodavaca
        (
        )    
        VALUES
        (

        NOW(),
         :email_user
        )
        ";
    try {
        $statement = $db->prepare($query);
        // $statement->bindValue(':kodOpcine', $slog['kodOpcine']);

        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

// Za sada ne treba
function update_bruto_kod_vise_poslodavaca($slog, $stariKljuc) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = " 
        UPDATE bruto_kod_vise_poslodavaca
        SET 
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodOpcine = :kodOpcine_st
        AND vrijediOd = :vrijediOd_st
        ";
    try {
        $statement = $db->prepare($query);
        // $statement->bindValue(':nazivOpcine', $slog['nazivOpcine']);
        $d = new DateTime($slog['vrijediOd']);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

// Za sada ne treba
function delete_bruto_kod_vise_poslodavaca($slog) {
    global $db;
    $query = "-- DELETE FROM bruto_kod_vise_poslodavaca WHERE kodOpcine = :kodOpcine AND vrijediOd=:vrijediOd";
    try {
        $statement = $db->prepare($query);
        // $statement->bindValue(':kodOpcine', $kodOpcine);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
*/

?>