CREATE TABLE bruto_kod_vise_poslodavaca (
    godinaObracuna int        NOT NULL, /* 4 znaka npr. 2019 */
    mjesecObracuna int        NOT NULL,
    vrstaPlace CHAR(6) DEFAULT '  '   NOT NULL,
    verzijaPlace CHAR(2) DEFAULT '  '  NOT NULL,  
    vrstaJOPPDizvjesca CHAR(1) DEFAULT '1', /* 1 izvorna plaća, 2 - promjena, 3-dodavanje 6, */
    kodRadnika  CHAR(11)      NOT NULL,
    kodPoslodavca char(13),   
	
	brutoKodPoslodavca  DECIMAL(11,2) DEFAULT 0,
    postotakOdbitkaKodPoslodavca DECIMAL(11,2) DEFAULT 0,
  
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT NULL,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika, kodPoslodavca)
) 
/* ova tabela je vezana uz uz promjene obračuna plaće u 2024 godini, a primjenjuje se od plaće za 12. mjesec 2023 pa nadalje
za radnike koji su tokom mjeseca mijenjali poslodavca ili rade tokom mjeseca regularno kod više poslodavaca.
To je vezano uz propisano umanjenje osnovice za obračun doprinosa za MIO I stup  po formuli 0,5*(1300 - bruto plaća).

 Ako je radnik kod nekog poslodavca npr. radio do 18.12.2023, a od 19.12.2023 počinje raditi kod drugog poslodavca,
 unaša se bruto plaća za svakog poslodavca za 12. mjesec(taj podatak bi trebao dati radnik svakome poslodavcu), a iz porezne kartice PU, 
 unaša se postotak osobnog odbitka kod pojedinog poslodavca.
 
 Ako radnik ne preda te podatke, umanjenje porezne osnovice uzima se iz plaće za prethodni mjesec - u ovom slučaju iz podataka iz porezne kartice PU za 11. mjesec.
 
 program je smješten Matični podaci ->Bruto kod više poslodavaca
*/ 
 



