/*za Panex-dinamic u maticna_robe izbaciti robu koje trenutno nema na stanju i kod koje nije
bilo prometa 3  godine  2017 2018 I 2019(tekuća)*/

/* Početna godina prva godina */
/* u 2017 */
CREATE TABLE kodovi_robe (
  kodRobe CHAR(16) NOT NULL,  
  PRIMARY KEY (kodRobe)  
) ENGINE=InnoDB;
/* u kodovi_robe se popišu svi koji su imali nekakav ulazno-izlazni promet */
INSERT INTO kodovi_robe
SELECT DISTINCT kodRobe FROM dok_stavke;



/* sljedeća godina */
/* 2018 */
/* kodovi robe iz 2017 se prekopiraju u 2018 i tu se doda roba koja je imala promet */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM dok_stavke as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where a.kodRobe is null
);


/* uđe se u sljedeću godinu tekuću 2019 */
/* kodovi robe iz 2018 se prekopiraju u 2019 i tu se doda roba koja je imala promet */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM dok_stavke as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where a.kodRobe is null
);


/* ubace se kodovi robe iz stanja koja nisu nula ovo se npr. izvodi i u 2018 i 2019 */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM stanja as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
);

INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM kons_stanja as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
);

/* skopirati maticna_robe   u maticna_robeorg. U kodoviRobe su ostali svi koji se ne smiju brisati */ 
/* obrišu se svi koji nisu imali prometa u 2017, i 2018 i trenutno u 2019 nisu na stanju */
/* 
DELETE FROM maticna_robe
WHERE kodRobe NOT IN
(SELECT * FROM kodovi_robe);
*/

/* stavke predviđene za brisanje se svrstaju u dvije posebne grupe */
UPDATE maticna_robe SET povratnaNaknada = 0;
UPDATE maticna_robe SET povratnaNaknada = 1 
  WHERE kodRobe NOT IN (SELECT * FROM kodovi_robe) AND kodGrupe in ('0918', '0828', '0704', '0910',  '0916', '1083', '2020'); 

UPDATE maticna_robe SET kodGrupe = '0790' WHERE povratnaNaknada = 1;  /* za dinamic */
UPDATE maticna_robe SET kodGrupe = '0789' WHERE povratnaNaknada = 1;  /* za chaky */

/*
UPDATE maticna_robe SET kodGrupe = '0799' WHERE povratnaNaknada = 'B' AND (kodGrupe NOT LIKE '04%' AND kodGrupe NOT LIKE '0788');
UPDATE maticna_robe SET kodGrupe = '0788' WHERE povratnaNaknada = 'B' AND kodGrupe LIKE '04%';
*/
  update maticna_robe
	set aktivan = 0
	where kodGrupe = '0789';   /* za chaky */
	
	update maticna_robe
	set aktivan = 0
	where kodGrupe = '0790';   /* za dinamic */
	
/*  Kontrola: da li su svi artikli koji su u Recycle Bin:
       stavke koje nisu imale promet u zadnje godinu i pola i zaliha  
	   Ako tih iz recikle bin ima u kodovi robe zanči da je bilo prometa 
	   pa se postavlja aktivan 1
	 
	   */
	   
	update maticna_robe ma
    inner join (  select m.kodRobe, nazivRobe from maticna_robe as m
       inner join kodovi_robe as k
       on m.kodRobe = k.kodRobe 
		where kodGrupe = '0789'   
	) as pomo
on 	ma.kodRobe = pomo.kodRobe
set ma.aktivan = 1;





